Module jdk.compiler
Package com.sun.source.tree

## Interface CatchTree

All Superinterfaces:
  Tree

    public interface CatchTree
    extends Tree

A tree node for a `catch` block in a `try` statement. For example:

       catch ( parameter )
           block

Since:
  1.6
See The Java™ Language Specification:
  section 14.20

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`BlockTree` `getBlock()` Returns the catch block.
`VariableTree` `getParameter()` Returns the catch variable.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getParameter

    VariableTree getParameter()

Returns the catch variable. A multi-catch variable will have a `UnionTypeTree` as the type of the variable.

Returns:
  the catch variable

#### getBlock

    BlockTree getBlock()

Returns the catch block.

Returns:
  the catch block